<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateDealerTable.php extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('dealer', function(Blueprint $table)
		{
			$table->string('dealer_id', 32)->unique()->index();
			$table->string('dealer_grp_id', 32)->index();
			$table->string('dealer_grp_name')->index();
			$table->string('password');
			$table->integer('level')->default(0);
			$table->string('hdr', 1)->default('a');
			$table->string('status', 32)->default(0);
			$table->boolean('opt_menu_show')->default(0);
			$table->boolean('opt_help_show')->default(1);
			$table->integer('editor');
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		//Schema::drop('dealer');
	}

}
